Customer Info
https://sandbox-products.ddp.akoya.com/customers/{version}/{providerId}/current
This product supports use cases such as payment enablement, account opening, and identity verification. Responses return information about the authorized end-user, the customer associated with the id_token used in the call. This information may include, but is not limited to, the customer identifier, name, email, address, and phone number.
To see the response schema, select the 200 response. For an example payload response, see the 200 example response under the Try it feature.
This product requires consumer consent to share all account holder information.
Use the mode query param to receive FDX-aligned, standardized data values. For example:
https://sandbox-products.ddp.akoya.com/customers/v3/mikomo/current?mode=standard
Path Parameters
version*
stringdefault: v3Akoya major version number. Do not use minor version numbers. For instance, use v3 and not v3.1
providerId*
stringdefault: mikomoId of provider
Headers
x-akoya-interaction-type*
Allowed values are `USER` or `BATCH`. `USER` indicates a request is prompted by an end-user action. `BATCH` indicates the request is part of a batch process.
x-akoya-last-access*
The date and time stamp for the last active use by the user. Follow the ISO8601 date format in the UTC time zone. For example: `2025-11-24T00:00:00Z`
x-akoya-intent-type*
Acceptable values are `payments` or `nonpayments.`
Query Parameters
mode
Default is raw. Use standard for FDX-aligned, standardized data values.
Responses
200
OK
Response Body
object
customer
object
customerId
string
Long-term persistent identity of the end-user. This identity must be unique to the owning institution
name
object
The end-user's name
first
string
First or given name. This data element may contain first & last name if not separated.
middle
string
last
string
addresses
array of objects
An array of the end-user's physical mail addresses
object
line1
string
May contain full address if not separated
city
string
state
string
postalCode
string
telephones
arraynull
Optional array of telephone numbers
object
number
string
The telephone number
country
string
The country
type
string
The telephone type
email
array of strings
An array of the end-user's electronic mail addresses
string
accounts
arraynull
Optional list of accounts associated with the customer
string
405
Method Not Allowed
Response
string
408
Request timed out (round trip call took >10 seconds).
Response Body
object
code
integer
Error code defined by FDX API Specification or Data Provider indicating the error situation which has occurred
message
string
End user displayable information which might help the customer diagnose an error
debugMessage
string
Message used to debug the root cause of the error. Contents should not be used in consumer's business logic. Can change at any time and should only be used for consumer to communicate with the data provider about an issue. Provider can include an error GUID in message for their use.